<template>
    <base-card>
        <form @submit.prevent="subirForm">
            <div class="form-control" :class="{invalid: !nombre.esValido}">
                <label for="nombre">Nombre de Mascota</label>
                <input type="text" id="nombre" v-model.trim="nombre.val" @blur="limpiarValido('nombre')"/>
                <p v-if="!nombre.esValido">Debe ingresar un nombre.</p>
            </div>
            <div class="form-control" :class="{invalid: !hora.esValido}">
                <label for="hora">Hora</label>
                <input type="time" id="hora" v-model="hora.val" @blur="limpiarValido('hora')"/>
                <p v-if="!hora.esValido">Debe ingresar una hora.</p>
            </div>
            <div class="form-control" :class="{invalid: !dia.esValido}">
                <label for="dia">Dia</label>
                <input type="date" id="dia" v-model="dia.val" @blur="limpiarValido('dia')"/>
                <p v-if="!dia.esValido">Debe ingresar un dia.</p>
            </div>
            <p v-if="!formEsValido">Porfavor ingrese los campos correctamente y vuelva a enviar.</p>
            <base-button>Enviar cambios</base-button>
        </form>
    </base-card>
</template>
<script>
export default {
    data() {
        return{
            nombre:{
                val:'',
                esValido:true
            },
            hora:{
                val:'',
                esValido:true
            },
            dia:{
                val:'',
                esValido:true
            },
            estatus:{
                val:'En espera',
            },
            formEsValido:true,
        };
    },
    methods:{
        limpiarValido(input){
            this[input].esValido=true;
            this.formEsValido=true;
        },
        validaForm(){
            this.formEsValido=true;
            if(this.nombre.val===''){
                this.nombre.esValido=false;
                this.formEsValido=false;
            }
            if(this.hora.val===''){
                this.hora.esValido=false;
                this.formEsValido=false;
            }
            if(this.dia.val===''){
                this.dia.esValido=false;
                this.formEsValido=false;
            }
        },
        subirForm(){
            this.validaForm();
            if(!this.formEsValido){
                return;
            }
            const formData={
                nom:this.nombre.val,
                hora:this.hora.val,
                dia:this.dia.val,
                estat:this.estatus.val,
            };
            console.log(formData);
            // this.$store.dispatch('citas/registrarCita', formData);
            // this.$router.replace('/panel_usuario');
        },
    }
}
</script>
<style scoped>
.form-control {
  margin: 0.5rem 0;
}

label {
  font-weight: bold;
  display: block;
  margin-bottom: 0.5rem;
}

input[type='radio'] + label {
  font-weight: normal;
  display: inline;
  margin: 0 0 0 0.5rem;
}

input,
textarea {
  display: block;
  width: 100%;
  border: 1px solid #ccc;
  font: inherit;
}

input:focus,
textarea:focus {
  background-color: #f0e6fd;
  outline: none;
  border-color: #3d008d;
}

input[type='radio'] {
  display: inline;
  width: auto;
  border: none;
}

input[type='radio']:focus {
  outline: #3d008d solid 1px;
}

h3 {
  margin: 0.5rem 0;
  font-size: 1rem;
}

.invalid label{
  color: red;
}

.invalid h3{
  color: red;
}


.invalid input,
.invalid textarea {
  border: 1px solid red;
}
</style>